import { r as e } from "./rolldown-runtime-BEcgMyyN.js";
import { computed as t, createBlock as n, defineComponent as r, mergeModels as i, normalizeStyle as a, openBlock as o, resolveComponent as s, useModel as c } from "vue";
//#region src/components/wt-slider/wt-slider.vue?vue&type=script&setup=true&lang.ts
var l = /*@__PURE__*/ r({
	__name: "wt-slider",
	props: /*@__PURE__*/ i({
		disabled: {
			type: Boolean,
			default: !1
		},
		vertical: {
			type: Boolean,
			default: !1
		},
		min: { default: 0 },
		max: { default: 100 },
		step: { default: 1 },
		height: { default: 100 },
		width: { default: void 0 },
		modelValue: {},
		defaultValue: {},
		name: {},
		orientation: {},
		range: { type: Boolean },
		invalid: { type: Boolean },
		tabindex: {},
		ariaLabelledby: {},
		ariaLabel: {},
		formControl: {},
		dt: {},
		pt: {},
		ptOptions: {},
		unstyled: { type: Boolean }
	}, {
		modelValue: {},
		modelModifiers: {}
	}),
	emits: ["update:modelValue"],
	setup(e) {
		let r = e, i = c(e, "modelValue"), l = t(() => r.vertical ? "vertical" : "horizontal");
		return (t, r) => {
			let c = s("p-slider");
			return o(), n(c, {
				modelValue: i.value,
				"onUpdate:modelValue": r[0] ||= (e) => i.value = e,
				disabled: e.disabled,
				max: e.max,
				min: e.min,
				step: e.step,
				orientation: l.value,
				style: a({
					height: e.vertical ? `${e.height}px` : "",
					width: !e.vertical && e.width ? `${e.width}px` : ""
				})
			}, null, 8, [
				"modelValue",
				"disabled",
				"max",
				"min",
				"step",
				"orientation",
				"style"
			]);
		};
	}
}), u = /* @__PURE__ */ e({ default: () => d }), d = l;
//#endregion
export { u as n, d as t };
